Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.solver
Class CacheProcessorBasic

    java.lang.Object
      calhoun.analysis.crf.solver.CacheProcessorBasic

All Implemented Interfaces:
  CacheProcessor

Direct Known Subclasses:
  CacheProcessorDeluxe, NoCachingCacheProcessor

    public abstract class CacheProcessorBasic

extends java.lang.Object
implements CacheProcessor

basic functionality common to most cache processors.

Nested Class Summary

Nested classes/interfaces inherited from interface calhoun.analysis.crf.solver.CacheProcessor
`CacheProcessor.FeatureEvaluation, CacheProcessor.LengthFeatureEvaluation, CacheProcessor.SolverSetup, CacheProcessor.StatePotentials`

Constructor Summary
`CacheProcessorBasic()`

Method Summary
`java.util.List<? extends TrainingSequence<?>>` | `getData()`
`CacheProcessor.FeatureEvaluation[]` | `getFeatureEvaluations()`
`double[]` | `getFeatureSums()`
`CacheProcessor.LengthFeatureEvaluation[][]` | `getLengthFeatureEvaluations()`
`double[][]` | `getSequenceFeatureSums()`
`CacheProcessor.SolverSetup` | `getSolverSetup()`
`java.lang.String` | `getTrainingFile()`
`void` | `setInputData(ModelManager fm, InputSequence<?> seq)`
`void` | `setTrainingData(ModelManager fm, java.util.List<? extends TrainingSequence<?>> data)`
`void` | `setTrainingFile(java.lang.String trainingFile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.solver.CacheProcessor
`evaluatePosition, evaluateSegmentsEndingAt, getInvalidTransitions`

Constructor Detail

### CacheProcessorBasic

    public CacheProcessorBasic()

Method Detail

### setInputData

    public void setInputData(ModelManager fm,
                             InputSequence<?> seq)

  Specified by:
    `setInputData` in interface `CacheProcessor`

### setTrainingData

    public void setTrainingData(ModelManager fm,
                                java.util.List<? extends TrainingSequence<?>> data)

  Specified by:
    `setTrainingData` in interface `CacheProcessor`

### getFeatureSums

    public double[] getFeatureSums()

  Specified by:
    `getFeatureSums` in interface `CacheProcessor`

### getSequenceFeatureSums

    public double[][] getSequenceFeatureSums()

  Specified by:
    `getSequenceFeatureSums` in interface `CacheProcessor`

### getSolverSetup

    public CacheProcessor.SolverSetup getSolverSetup()

  Specified by:
    `getSolverSetup` in interface `CacheProcessor`

### getFeatureEvaluations

    public CacheProcessor.FeatureEvaluation[] getFeatureEvaluations()

  Specified by:
    `getFeatureEvaluations` in interface `CacheProcessor`

### getLengthFeatureEvaluations

    public CacheProcessor.LengthFeatureEvaluation[][] getLengthFeatureEvaluations()

  Specified by:
    `getLengthFeatureEvaluations` in interface `CacheProcessor`

### getTrainingFile

    public java.lang.String getTrainingFile()

### setTrainingFile

    public void setTrainingFile(java.lang.String trainingFile)

### getData

    public java.util.List<? extends TrainingSequence<?>> getData()

  Specified by:
    `getData` in interface `CacheProcessor`
  Returns:
    the data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD